Video abrufen
Retrieve a video generation result. Returns the video file if completed, or a status if the request is still processing.
Authentication: This endpoint accepts either a Bearer API key or a SIGN-IN-WITH-X header for x402 wallet-based authentication. The legacy X-Sign-In-With-X header is also accepted during migration. When using x402, a 402 Payment Required response indicates insufficient balance and includes top-up instructions.
curl --request POST \
--url https://api.venice.ai/api/v1/video/retrieve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "video-model-123",
"queue_id": "123e4567-e89b-12d3-a456-426614174000",
"delete_media_on_completion": false
}
'import requests
url = "https://api.venice.ai/api/v1/video/retrieve"
payload = {
"model": "video-model-123",
"queue_id": "123e4567-e89b-12d3-a456-426614174000",
"delete_media_on_completion": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'video-model-123',
queue_id: '123e4567-e89b-12d3-a456-426614174000',
delete_media_on_completion: false
})
};
fetch('https://api.venice.ai/api/v1/video/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "PROCESSING",
"average_execution_time": 145000,
"execution_duration": 53200
}{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": {
"message": "The selected model provider rejected this request due to its content policies. Credits have been refunded. Try using wan-2-7-text-to-video instead.",
"type": "provider_content_policy",
"credits_refunded": true,
"recommended_model": "wan-2-7-text-to-video"
}
}{
"error": "<string>"
}{
"error": "<string>"
}/video/queue zurückgegebene download_url heruntergeladen (nicht als Binärdaten von diesem Endpoint). Siehe Private Download-Links für Informationen zur Funktionsweise des Links, zu Wiederholungen und zum optionalen DELETE.
Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The ID of the model used for video generation.
"video-model-123"
The ID of the video generation request.
"123e4567-e89b-12d3-a456-426614174000"
If true, the video media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the video.
false
Antwort
Video file if completed, or processing status if still in progress
The status of the video generation request.
PROCESSING, COMPLETED "PROCESSING"
The estimated execution time of the video generation request in milliseconds (P80).
145000
The current duration of the video generation request in milliseconds.
53200
War diese Seite hilfreich?
